DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageGetPlane

Read the plane number

## SYNOPSIS

dip_Error dip_ImageGetPlane( image, plane )

## FUNCTION

Read the `dip_Image` plane number. For binary images this is the number of the bit in which the data is stored. For other data types it is meaningless. The proper time to call this function is right after `ImageGetData`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | An image
`dip_Int *` | `plane` | Returns the plane number

## SEE ALSO

The image structure

`ImageGetData`, `ImageGetStride`

DIPlib on-line documentation | Function reference | Global function index